Bug 1265453 - dnf failed transaction leaves behind files
dnf failed transaction leaves behind files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 20:53 EDT by Rob
Modified: 2016-07-19 13:59 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:59:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob 2015-09-22 20:53:09 EDT
dnf --version
1.1.1
  Installed: dnf-0:1.1.1-2.fc22.noarch at 2015-09-11 17:29
  Built    : Fedora Project at 2015-09-08 12:24

  Installed: rpm-0:4.12.0.1-12.fc22.x86_64 at 2015-07-07 17:03
  Built    : Fedora Project at 2015-06-29 10:3

I'm trying to make a rpm of some software and the rpm is somehow getting corrupted. Testing the rpm by trying to install it gives me this:

-------------------------

sudo dnf install mesa-7624-1.fc22.x86_64.rpm 
[sudo] password for rob:     
Last metadata expiration check performed 0:00:01 ago on Tue Sep 22 17:35:12 2015.
Dependencies resolved.
========================================================================================================
 Package             Arch                  Version                    Repository                   Size
========================================================================================================
Installing:
 mesa                x86_64                7624-1.fc22                @commandline                1.6 G

Transaction Summary
========================================================================================================
Install  1 Package

Total size: 1.6 G
Installed size: 2.1 G
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : mesa-7624-1.fc22.x86_64                                                             1/1 
Error unpacking rpm package mesa-7624-1.fc22.x86_64
Error unpacking rpm package mesa-7624-1.fc22.x86_64
error: unpacking of archive failed: cpio: read
mesa-7624-1.fc22.x86_64 was supposed to be installed but is not!
  Verifying   : mesa-7624-1.fc22.x86_64                                                             1/1 

Failed:
  mesa.x86_64 7624-1.fc22                                                                               

Complete!

------------

Fine so it failed to install but what i was not expecting was that files from the rpm still get installed. I would of thought it should of backed out of the transaction and cleaned up the partially installed files?

Also i cant then run dnf remove mesa-7624-1.fc22.x86_64.rpm  to cleanup
Comment 1 Honza Silhan 2015-09-30 05:06:53 EDT
Let see if RPM developers can do something about it.
Comment 2 Rob 2015-09-30 14:24:53 EDT
Turns out the problem with the rpm was i was building it on a ntfs partition and it looks like it picked up some odd permissions. Switching to an ext3 partition fixed the problem with the rpm. So maybe something to do with how rpm/cpio handles file permissions?
Comment 3 Fedora End Of Life 2016-07-19 13:59:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.